#!/usr/bin/gnuplot

load "style2.gnu"

set grid noxtics

set xrange [-0.7:4.7]
set xtics scale 0 ("Source" 0, "Guard" 1, "Middle" 2, "Exit" 3, "Dest." 4)

set yrange [0:1]
set ytics .25

set ylabel "Adversary Adjusted Risk"

set key horizontal top left

set boxwidth 0.14
set style fill solid
#set style fill pattern 0.25 border

set output "position_risk_rr.eps"

# 1 2   3 4 5  6  7  8  9  10  11  12 13 14 15 16 17 18 19  20  21 22 23 24 25 26 27 28  29  30 31 32 33 34 35 36 37  38  39 40 41 42 43 44 45 46  47  48 49 50 51 52 53 54 55
# X Min 1 5 25 50 75 95 99 Max Min 1  5  25 50 75 95 99 Max Min 1  5  25 50 75 95 99 Max Min 1  5  25 50 75 95 99 Max Min 1  5  25 50 75 95 99 Max Min 1  5  25 50 75 95 99 Max

# DE CN IR US GB

plot 'score_2013_12_rr_candlesticks.txt' using ($1-0.3):22:20:28:26 with candlesticks lt 1 lw 2 title 'CN' whiskerbars,\
  '' using ($1-0.3):24:24:24:24 notitle with candlesticks lt -1 lw 4, \
  '' using ($1-0.1):13:11:19:17 with candlesticks lt 2 lw 2 title 'DE' whiskerbars,\
  '' using ($1-0.1):15:15:15:15 notitle with candlesticks lt -1 lw 4, \
  '' using ($1+0.1):49:47:55:53 with candlesticks lt 3 lw 2 title 'GB' whiskerbars,\
  '' using ($1+0.1):51:51:51:51 notitle with candlesticks lt -1 lw 4, \
  '' using ($1+0.3):40:38:46:44 with candlesticks lt 4 lw 2 title 'US' whiskerbars,\
  '' using ($1+0.3):42:42:42:42 notitle with candlesticks lt -1 lw 4

